## org.apache.xerces.impl.dv.xs
Class DateDV

    java.lang.Object
      org.apache.xerces.impl.dv.xs.TypeValidator
          org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
              org.apache.xerces.impl.dv.xs.DateTimeDV
                  org.apache.xerces.impl.dv.xs.DateDV

public class DateDV
extends DateTimeDV

Validator for <date> datatype (W3C Schema datatypes)

Version:
  $Id: DateDV.java,v 1.9 2003/05/08 20:11:55 elena Exp $
Author:
  Elena Litani, Gopal Sharma, SUN Microsystems Inc.

Field Summary

Fields inherited from class org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
`CY, D, DAY, h, hh, m, M, mm, MONTH, ms, s, TOTAL_SIZE, utc, YEAR`

Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

Constructor Summary
`DateDV()`

Method Summary
`protected java.lang.String` `dateToString(int[] date)`
`java.lang.Object` `getActualValue(java.lang.String content)`
`protected int[]` `parse(java.lang.String str)` Parses, validates and computes normalized version of dateTime object

Methods inherited from class org.apache.xerces.impl.dv.xs.DateTimeDV
`getActualValue`

Methods inherited from class org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
`append, compare, compareDates, compareOrder, findUTCSign, fQuotient, fQuotient, getAllowedFacets, getDate, getTime, getTimeZone, getYearMonth, indexOf, maxDayInMonthFor, mod, modulo, normalize, parseInt, parseIntYear, parseTimeZone, resetDateObj, validateDateTime`

Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`checkExtraRules, getDataLength, getDigit, getFractionDigits, getTotalDigits, isDigit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateDV

    public DateDV()

Method Detail

### getActualValue

    public java.lang.Object getActualValue(java.lang.String content)
                                    throws InvalidDatatypeValueException

  Throws:
    `InvalidDatatypeValueException`

### parse

    protected int[] parse(java.lang.String str)
                   throws SchemaDateTimeException

  Parses, validates and computes normalized version of dateTime object

  Overrides:
    `parse` in class `DateTimeDV`
  Parameters:
    `str` - The lexical representation of dateTime object CCYY-MM-DD with possible time zone Z or (-),(+)hh:mm
  Returns:
    normalized dateTime representation
  Throws:
    `SchemaDateTimeException` - Invalid lexical representation

### dateToString

    protected java.lang.String dateToString(int[] date)

  Overrides:
    `dateToString` in class `AbstractDateTimeDV`

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.